package com.foreverwin.mesnac.meapi.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.foreverwin.mesnac.meapi.model.NwaUser;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author robert
 * @since 2021-06-16
 */
@Repository
public interface NwaUserMapper extends BaseMapper<NwaUser> {
    NwaUser findUserByUserName(@Param("site")String site, @Param("user")String user);

    List<NwaUser> findAllUser(@Param("site")String site);

    List<NwaUser> selectAllByUserGroups(@Param("site")String site,@Param("list")List<String> list);

    int checkUser(@Param("site")String site,@Param("list")List<String> list);

    /**
     * 根据多个用户userName，查询用户名称，并使用 ， 分割返回
     * */
    String getFullNameCommaByUserNameList(@Param("site")String site,@Param("list")List<String> list);

}